---
# Setup host Podman configuration
- ansible.builtin.include_role: 
    name: notmycloud.podman_systemd
  no_log: true
  vars:
    PODMAN_SYSTEMD_INSTALL_COCKPIT: true
    PODMAN_SYSTEMD_ALLOW_LOWEST_PORT: 0
    PODMAN_SYSTEMD_ALLOW_PING: true
    PODMAN_SYSTEMD_DEPLOY:
      root:
        config:
          containers:
            engine:
              network_cmd_options:
                - "allow_host_loopback=true"
                - "enable_ipv6=true"
          registries:
            unqualified-search-registries:
              - "docker.io"
            registry:
              - location: "docker.io"
                # In Nov. 2020, Docker rate-limits image pulling.  To avoid hitting these
                # limits while testing, always use the google mirror for qualified and
                # unqualified `docker.io` images.
                # Ref: https://cloud.google.com/container-registry/docs/pulling-cached-images
                mirror:
                  - location: "mirror.gcr.io"
        # systemd:
        #   enable_socket: true
        #   containers:
        #     socketproxy:
        #       podman_options:
        #         image: "docker.io/tecnativa/docker-socket-proxy:latest"
        #         ports:
        #           - "127.0.0.1:2375:2375"
        #         volumes: 
        #           - host: /etc/localtime
        #             container: /etc/localtime
        #             options: ro
        #           - host: "/run/podman/podman.sock"
        #             container: /var/run/docker.sock
        #             options: rw
        #         environment:
        #           EVENTS: 1
        #           PING: 1
        #           VERSION: 1
        #           CONTAINERS: 1

# - name: Create host bridge
#   containers.podman.podman_network:
#     name: "{{ net_host_macvlan }}"
#     driver: macvlan
#     opt:
#       parent: "{{ net_host_macvlan }}"
#     ip_range: "{{ net_host_cidr }}"
#     subnet: "{{ net_host_cidr }}"
#     gateway: "{{ net_host_gateway }}"
#     ipv6: false
#   become: true

- name: Podman | Create host bridge
  ansible.builtin.shell: 
    cmd: >-
      podman network create
      --gateway {{ net_host_gateway }}
      --ip-range {{ net_host_cidr }}
      --driver macvlan
      --opt parent={{ net_host_macvlan }}
      --subnet {{ net_host_cidr }}
      {{ net_host_macvlan }}
    creates: /etc/cni/net.d/{{ net_host_macvlan }}.conflist
  become: true
  
